void GetDescription(char d[])
{
  strcpy(d,"STANT's Menu 3x4 Type 2");
}

int GetPriority()
{
  return 255;
}


int GetValueAfter(char str[])
{
  char val[100];
  char line[200];
  int i, l, k;
   
  GetLineByStr(str,line);
  
  l = strlen(str);
  for (i = 0, k= 0; i <= l; i++) 
  {  
    if (line[l+i] != ' ') val[k++] = line[l+i];
    else if (k) break;
  }  
  return atol(val);
}

void DeleteBlock(char block[])
{
   int val, i, num;
   val = GetValueAfter(block);
   num = GetLineNum(block);
   RemoveLineByNum(num);
   for (i = 0; i < val; i++) RemoveLineByNum(num);
}
int IsResMore176()
{
    int DigClockX;  
    DigClockX = GetValueAfter("1 574 ");
    return (DigClockX > 144);
}

void PatchSKI()
{
   if (IsResMore176())
   {
      log("This script only for 176x220 phones.");
      return;
   }
   
   DeleteBlock("0 42 ");
   DeleteBlock("0 43 ");
   DeleteBlock("0 61 ");
   DeleteBlock("0 62 ");
   DeleteBlock("0 63 ");
   DeleteBlock("0 64 ");

   AddLine("0 42 12");
   AddLine("1 10 30 50 70");
   AddLine("1 68 30 108 70");
   AddLine("1 125 30 165 70");
   AddLine("1 10 71 50 111");
   AddLine("1 68 71 108 111");
   AddLine("1 125 71 165 111");
   AddLine("1 10 112 50 152");
   AddLine("1 68 112 108 152");
   AddLine("1 125 112 165 152");
   AddLine("1 10 153 50 193");
   AddLine("1 68 153 108 193");
   AddLine("1 125 153 165 193");
   AddLine("0 43 12");
   AddLine("1 6 27 54 75");
   AddLine("1 64 27 112 75");
   AddLine("1 121 27 169 75");
   AddLine("1 6 67 54 115");
   AddLine("1 64 67 112 115");
   AddLine("1 121 67 169 115");
   AddLine("1 6 108 54 156");
   AddLine("1 64 108 112 156");
   AddLine("1 121 108 169 156");
   AddLine("1 6 149 54 197");
   AddLine("1 64 149 112 197");
   AddLine("1 121 149 169 197");
   AddLine("0 61 12");
   AddLine("2 1");
   AddLine("2 2");
   AddLine("2 3");
   AddLine("2 4");
   AddLine("2 5");
   AddLine("2 6");
   AddLine("2 7");
   AddLine("2 8");
   AddLine("2 9");
   AddLine("2 10");
   AddLine("2 11");
   AddLine("2 0");
   AddLine("0 62 12");
   AddLine("2 11");
   AddLine("2 0");
   AddLine("2 1");
   AddLine("2 2");
   AddLine("2 3");
   AddLine("2 4");
   AddLine("2 5");
   AddLine("2 6");
   AddLine("2 7");
   AddLine("2 8");
   AddLine("2 9");
   AddLine("2 10");
   AddLine("0 63 12");
   AddLine("2 3");
   AddLine("2 4");
   AddLine("2 5");
   AddLine("2 6");
   AddLine("2 7");
   AddLine("2 8");
   AddLine("2 9");
   AddLine("2 10");
   AddLine("2 11");
   AddLine("2 1");
   AddLine("2 2");
   AddLine("2 0");
   AddLine("0 64 12");
   AddLine("2 11");
   AddLine("2 9");
   AddLine("2 10");
   AddLine("2 0");
   AddLine("2 1");
   AddLine("2 2");
   AddLine("2 3");
   AddLine("2 4");
   AddLine("2 5");
   AddLine("2 6");
   AddLine("2 7");
   AddLine("2 8");


}